[package]
authors = ["Nick Savchenko <nsavch@gmail.com>"]
edition = "2021"
name = "luffa"
version = "0.1.0"

[dependencies]
anyhow = "1.0.93"
chrono = "0.4.38"
clap = { version = "4.5.21", features = ["derive"] }
diesel_migrations = "2.1.0"
dpcolors = { git = "https://gitlab.com/exe.pub/morosoxon.git", rev = "22b29be19c2b5b5db38dbc22058f69739bf1130d" }
pk3rs = { git = "https://gitlab.com/exe.pub/morosoxon.git", rev = "22b29be19c2b5b5db38dbc22058f69739bf1130d" }
xonotic_db = { git = "https://gitlab.com/exe.pub/morosoxon.git", rev = "22b29be19c2b5b5db38dbc22058f69739bf1130d" }
xagy = { git = "https://gitlab.com/exe.pub/morosoxon.git", rev = "22b29be19c2b5b5db38dbc22058f69739bf1130d" }
humantime = "2.1.0"
image = "0.25.5"
ipnetwork = "0.20.0"
lazy_static = "1.5.0"
maud = { version = "0.26.0", features = ["rocket"] }
num-traits = "0.2.17"
ofiles = "0.2.0"
rayon = "1.8.0"
regex = "1.10.2"
rocket = { version = "0.5.1", features = ["secrets", "json"] }
rust-lzma = "0.6.0"
rust_decimal = { version = "1.36.0", features = ["db-diesel2-postgres"] }
rust_decimal_macros = "1.36.0"
rusttype = "0.9.3"
serde = { version = "1.0.193", features = ["derive"] }
serde_json = "1.0.133"
statrs = "0.17.1"
structopt = "0.3.26"
tempfile = "3.14.0"
time = "0.3.36"
thiserror = "2.0.3"
timeago = "0.4.2"
unicode-normalization = "0.1.24"
walkdir = "2.5.0"
tokio = { version = "1.35.1", features = ["full"] }
rusqlite = { version = "0.32.1", features = ["chrono"] }
quadrature = "0.1.2"
duct = "0.13.7"
# sqlx = { version = "0.6.2", features = ["runtime-tokio-rustls", "postgres", "migrate", "chrono", "decimal", "ipnetwork", "json", "offline", "macros"] }

[dependencies.rocket_sync_db_pools]
version = "0.1.0"
features = ["diesel_postgres_pool"]

# [dependencies.rocket_db_pools]
# git = "https://github.com/SergioBenitez/Rocket"
# rev = "59ee2e033986f4bdfd465dcf8dbfc9a381c2ae2e"
# features = ["sqlx_postgres"]

[dependencies.diesel]
features = ["postgres", "chrono", "serde_json", "network-address"]
version = "2.2.5"
